## Debugging Hints

Tutorial: Debugging — How to debug your program

## Debugging Hints

This section of the tutorial provides standard suggestions and reminders of things you can do to debug your program. More suggestions are appreciated!

In no real order, here are suggestions. Some are provided by the GSK, but most are available to non-GSK applications as well.

- --gsk-debug

- -Wall -W -Wno-unused-parameters

- gdb

- valgrind

- electric-fence

## Example

TODO: write this!